Summary:	Gettext catalogs editor
Summary(pl.UTF-8):	Edytor katalogów gettexta
Name:		poedit
Version:	1.4.6.1
Release:	3
License:	MIT
Group:		X11/Applications/Editors
Source0:	http://downloads.sourceforge.net/poedit/%{name}-%{version}.tar.gz
# Source0-md5:	c63ffd991b1a6085ef356a6922356e0a
Patch0:		%{name}-desktop.patch
URL:		http://poedit.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gtk+2-devel
BuildRequires:	gtkspell-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	wxGTK2-unicode-devel >= 2.8.0
BuildRequires:	wxWidgets-utils
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	gettext
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
poEdit is cross-platform gettext catalogs (.po files) editor. It is
built with wxWindows toolkit and can run on Unix or Windows. It aims
to provide convenient way of editing gettext catalogs. It features
UTF-8 support, fuzzy and untranslated records highlighting,
whitespaces highlighting, references browser, headers editing and can
be used to create new catalogs or update existing catalogs from source
code by single click.

%description -l pl.UTF-8
poEdit jest wieloplatformowym edytorem katalogów gettexta (plików
.po). Używa toolkitu wxWindows, więc może działać pod Uniksem oraz pod
Windows. Możliwości programu to: obsługa UTF-8, podświetlanie rekordów
nie przetłumaczonych i niepewnych ("fuzzy"), podświetlanie odstępów,
przeglądarka odwołań, edycja nagłówków, tworzenie nowych katalogów
oraz uaktualnianie istniejących z plików źródłowych przez jedno
kliknięcie.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal} -I admin
%{__autoconf}
%{__automake}
%configure \
	--disable-transmem \
	--with-wx-config=wx-gtk2-unicode-config \
	--%{?debug:en}%{!?debug:dis}able-debug

%{__make} \
	EXTRADIR="" \
	expatlib="-lexpat"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	EXTRADIR="" \
	DESTDIR=$RPM_BUILD_ROOT

# fix/update locale names
install -d $RPM_BUILD_ROOT%{_datadir}/locale/{af,fa,pt,sq}/LC_MESSAGES
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{af_ZA/LC_MESSAGES/poedit.mo,af/LC_MESSAGES/poedit.mo}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{fa_IR/LC_MESSAGES/poedit.mo,fa/LC_MESSAGES/poedit.mo}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{pt_PT/LC_MESSAGES/poedit.mo,pt/LC_MESSAGES/poedit.mo}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{sq_AL/LC_MESSAGES/poedit.mo,sq/LC_MESSAGES/poedit.mo}


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README TODO
%attr(755,root,root) %{_bindir}/poedit
%{_datadir}/poedit
%{_desktopdir}/poedit.desktop
%{_pixmapsdir}/poedit.png
%{_iconsdir}/hicolor/*/*/poedit.png
%{_iconsdir}/hicolor/*/*/poedit.svg
%{_mandir}/man1/poedit.1*
%changelog
* Wed Jan 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/poedit.git;a=log;h=master

* Wed Jan 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 89ca6cd
- wxWidgets rebuild
- release 3 (by relup.sh)

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> c995df5
- Requires(post,postun): gtk-update-icon-cache

* Sat Apr 17 2010 Artur Frysiak <artur@frysiak.net> 9fc4e24
- updated to 1.4.6.1

* Sun Mar 28 2010 Krzysztof Goliński <dirdival@pld-linux.org> 9d8be24
- up to 1.4.6

* Mon Mar 01 2010 sparky <sparky@pld-linux.org> 2d75657
- dropped unused BR: zip

* Sat Feb 27 2010 Krzysztof Goliński <dirdival@pld-linux.org> 5ac73ae
- updated to 1.4.5

* Fri Jan 29 2010 Krzysztof Goliński <dirdival@pld-linux.org> 1ecba0e
- updated to 1.4.4

* Fri Jan 29 2010 Krzysztof Goliński <dirdival@pld-linux.org> d7b70af
- comment pl added

* Thu Nov 26 2009 Krzysztof Goliński <dirdival@pld-linux.org> 3464e2f
- locale fixed in spec

* Thu Nov 26 2009 Krzysztof Goliński <dirdival@pld-linux.org> 6443d3c
- updated to 1.4.3
- fixed locale names
- removed poedit-locale_names.patch - locale fixed in spec

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 28b9d9e
- updated to 1.4.2

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> b80e6fd
- fixed previous commit msg

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> c107056
- updated to 1.4.2

* Sat May 03 2008 Adam Gołębiowski <adamg@pld-linux.org> 55a4683
- updated to 1.4.1

* Fri Mar 14 2008 Adam Gołębiowski <adamg@pld-linux.org> c278924
- updated to 1.4

* Thu Feb 28 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 114badd
- obsolete

* Thu Feb 28 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 1a33e5c
- fixes desktop file

* Thu Feb 28 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 59e6407
- proper license (MIT)
- added X11 to Group
- use desktop file and icon included in sources
- cleanup
- release 1

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 6b7c282
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Wed Dec 12 2007 Adam Gołębiowski <adamg@pld-linux.org> e231723
- updated to 1.3.9

